<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from suifmath.texi on 28 April 1999 -->

<TITLE>The SUIFMATH Library - Matrices for Linear Algebra</TITLE>
<link href="suifmath_32.html" rel=Next>
<link href="suifmath_30.html" rel=Previous>
<link href="suifmath_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_30.html">previous</A>, <A HREF="suifmath_32.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC35" HREF="suifmath_toc.html#TOC35">Matrices for Linear Algebra</A></H2>

<P>
<A NAME="IDX513"></A>
<A NAME="IDX514"></A>
<A NAME="IDX515"></A>
<A NAME="IDX516"></A>
<A NAME="IDX517"></A>
The <STRONG>matrix</STRONG> class contains two matrices of type <STRONG>fract_matrix</STRONG>:
one to store the elements of the matrix, and the other to store the
LU decomposition of the matrix.  The <CODE>fract_matrix</CODE> objects are
represented as array of <CODE>fract_vectors</CODE>, where each vector stores a
column of the matrix.  Since the methods for the <CODE>fract_matrix</CODE>
class are a proper subset of the methods available in <CODE>matrix</CODE>
class, we only describe the <CODE>matrix</CODE> class here.  Also, many of the
operations implemented for the <CODE>matrix</CODE> and <CODE>fract_matrix</CODE>
classes are also provided in the <CODE>integer_matrix</CODE> class.
See section <A HREF="suifmath_3.html#SEC3">Matrix Library</A>.

</P>

<UL>
<LI><A HREF="suifmath_32.html#SEC36">Basic Matrix Functions</A>: Standard matrix functions
<LI><A HREF="suifmath_33.html#SEC37">Matrix Math Operations</A>: Functions on matrices
<LI><A HREF="suifmath_34.html#SEC38">Linear Algebra Operations</A>: Linear algebra routines
<LI><A HREF="suifmath_35.html#SEC39">Matrix Utilities</A>: General utilities for modifying matrices
</UL>

<P><HR><P>
<p>Go to the <A HREF="suifmath_1.html">first</A>, <A HREF="suifmath_30.html">previous</A>, <A HREF="suifmath_32.html">next</A>, <A HREF="suifmath_37.html">last</A> section, <A HREF="suifmath_toc.html">table of contents</A>.
</BODY>
</HTML>
